<!DOCTYPE html>
<html>
    <head>
        <title>{{chat.name}}</title>
        <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/1.4.8/socket.io.min.js"></script>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>
    </head>
    <body>
        <script type="text/javascript">
            $(document).ready(function() {
                
                var socket = io.connect('http://127.0.0.1:5000');

                socket.on('connect', function() {
                    socket.send('User has connected!|{{user.id}}|{{chat.id}}');
                });

                socket.on('message', function(msg) {
                    $("#messages").append('<li>'+msg+'<li>');
                });

                $('#sendbutton').on('click', function() {
                    socket.send($('#myMessage').val()+"|{{user.id}}|{{chat.id}}");
                    $('#myMessage').val('');
                });
            });
        </script>
        <div>{{chat.name}}</div>
        <ul id="messages">
            {% for msg in messages %}
                <li>{{msg.Message.msg}}</li>
            {% endfor %}
            </ul>
        <input type="text" id="myMessage" />
        <button id="sendbutton">Send</button>
        <a href="/">Index</a>
    </body>
</html>